[B074] Drug milestone

post
https://connect.patsnap.com/synapse/drug/milestone
Try in Sandbox

Obtain drug milestone, including milestone, event, disease, country, organization, etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10.limit up to 100.
drug_id
Required
string69fdd1486c554a3d86a8c38c60bf6e3b
Drug ID
sort_order
stringdesc
Sort by event time, sort order, support:desc,asc
milestone
array[ "773127276f7a4b229f3932d9487c57a9", "273b0df9aad347fd8d36ebd8ae0c1cbd", "8b32a9b6c03f4bafb8ee22dfcd589943" ]
Milestone ID
event_id
array[ "7b79728539354f189772a4eab9cc9fff", "f835774c48404593b64ef05369eb8eba", "78c45f1d523646808032edcff807ca59" ]
事件ID
disease_id
array[ "7af6661c23e8485d9f1dad6a94914fe3" ]
Disease ID
country_id
array[ "0dc5d896-7408-3c87-84c0-22e3d9b784be" ]
Country/Region
organization_id
array[ "16e33268b7ffba870d1f7a78de820ed5" ]
Organization ID
event_start_time
integer<int64>20150101
Event start time
event_end_time
integer<int64>20251231
Event end time

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form: DrugMilestoneResponseDetail
Result Items
date
string2025-09-09
Date
event
arrayPlease check the form: CommonEntity
Event
id
string11acf267a4fc42f392751e023482aac3
ID
display_name
array[ { "lang": "EN", "name": "CTNNB1 Mutation" } ]
Name, Referencing "CommonName"
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
country
arrayPlease check the form: CommonCountry
Country/Location
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
Country/Location ID
alpha2_code
stringUS
Alpha Code
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
Country/Location Name
disease
arrayPlease check the form: CommonDisease
Disease
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
description
arrayPlease check the form: CommonName
Description
event_status
objectPlease check the form: CommonEntity
Event Status
organization
arrayPlease check the form: CommonOrganization
Organization
display_name
array[ { "lang": "EN", "name": "Roche Holding AG" }, { "lang": "CN", "name": "罗氏" } ]
Organization Name, Referencing "CommonName"
organization_id
string87bfaf037f8e60c9e25595cd98bb27e4
Organization ID
milestone_tag
arrayPlease check the form: CommonName
Milestone Tag
limit
integer<int64>10
limit
total
integer<int64>1
Total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "date": "2025-09-09",
        "event": [
          {
            "id": "11acf267a4fc42f392751e023482aac3",
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ]
          }
        ],
        "country": [
          {
            "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
            "alpha2_code": "US",
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ]
          }
        ],
        "disease": [
          {
            "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ]
          }
        ],
        "description": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ],
        "event_status": {
          "id": "11acf267a4fc42f392751e023482aac3",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "organization": [
          {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
          }
        ],
        "milestone_tag": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "limit": 10,
    "total": 1,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms